﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ e = Character('Eileen', color="#c8ffc8")
    
    #backgrounds
    
    image bg rooftop1 = "exam.png"
    image bg schoolday1 = "schoolday1.png"
    image bg schoolnight1 = "schoolnight1.png"
    image bg exam = "exam.png"
    image bg mirror1 = "mirror1.png"
    image bg disco1 = "disco1.png"
    image bg beach1 = "beach1.png"
    image bg sky1 = "sky1.png"
    image bg ending1 = "ending1.png"
    image bg ending2 = "ending2.png"
    image bg ending3 = "ending3.png"
    image bg inthought = "inthought.png"
    image bg gamemenu = "gamemenu.jpg"
 
    #character
    image kotori normal1 = "kotorinormal1.png"
    image kotori sad1 = "kotorisad1.png"
    image kotori smile = "kotorismile.png"


# The game starts here.
label start:
    play music "bgm.ogg" fadein 1.0
    scene black with fade
    show text "Sometime in March 2000..." 
    with dissolve
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve

    "I was always the misfit."

    "while other girls my age were into boys, cosmetics, pop stars and partying," 
    "I was contented with anime-themed essay writing and making 300 page long yaoi fanfiction,"
    "which of course, had adverse effects on my studies." 
    "This might explain why my mother would promptly tear up my precious manuscripts as soon as she found them."
    "In truth, I was frustrated;"
    
    scene bg mirror1 with dissolve
    
    

    "with myself for not having the courage to take charge of my life; with my parents for being too caught up in their own affairs to even try to understand me and with the rest of the world for being so upside-down."
    "However, as I neared my final year in High School."
    "In my endless frustration with the sheep of mass-media advertising who were my peers; through the repeated verbal abuse that I took from my dominant and \"hitlerically\" authoritative older sister, and through the mental anguish I felt about being powerless to do anything about it,"
    "I was slowly beginning to find the \"answer.\""    
    "The only solution to this emptiness that I have always felt for as far back as I can remember..."

    scene bg sky1 with dissolve

    "And so... I entrusted my wishes..."
    "to the skies."
    "This is when my time became endless..." 
    "This was my choice..." 
    "but his story, was just about to begin."
    play music "daily.ogg" fadein 1.0
    # Prologue: Protagonist 
    scene black with dissolve
    show text "Sometime in April of 2004..."
    with dissolve
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve

    scene bg inthought with dissolve
    "\"The Eternal Drifter\" would be an appropriate euphemism for someone like me. Always the passive audience in this theater filled with spotlight craving thespians called life."
    "Of course, what I'm trying to say is that I've never really had the urge to take an active part in anything at all."
    "\"To be always alone, but never lonely\" this has been my only principle in life for as far back as I can remember."
    "Thus, I've never really had anyone whom I could call a friend. The people around me were either family, acquaintances, or total strangers. This was the world from my perspective."
    "As for my guiding principle, I've never had any trouble following it."
    "It's easy to be indifferent and have people ignore you or at least pretend to ignore you when they saw you as a moody weirdo who might go berserk and strangle someone to death at any time."
    "Sure... I had a few buddies and best-friend types who liked to hang around with me every now and then, but none of these relationships would last that long."
    "Ah well... I was fine with that."
    "There was really no sense with me, the only sane person in existence, associating with the insane people who made up the rest of society."
    "Back then, while all my former High School classmates were on the road to becoming doctors, businessmen, or top-ranking corporate executives. I had absolutely no idea about what to do with my life."
    "So... I chose the easy way out and followed in my older and more popular brother's footsteps. I took up law. Yes, of course, an atty. to my name sounded nice, not particularly exciting, but I'd at the very least be doing \"something.\""

    "It was then that I first met her."
    "On my first year inside the unforgivingly intense and dehumanizing world of law school."
    
    # Chapter 1: Protagonist 
    
    
    scene black with dissolve
    show text "It happened in the month of September in 2005..."
    with dissolve
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
   
    scene bg schoolday1 with dissolve

    "\"The judge should decide in favor of the defendant, of course,\" was what I was thinking as I penned down the relatively simple answer to the last question on my test paper."
    
    
    "It has now been one semester since I began my studies in law school. Surprisingly, it wasn't as impossibly difficult as my brother had exaggerated beforehand. Sure, there were a few times when I wanted to just quit right there and then, but this wasn't because I found my studies to be exceedingly difficult."

    "Although on the surface, this is what anyone would conclude."

    "I knew after one semester of law school that I wanted to quit because of one very simple and perhaps trivial reason."

    "I realized that I hated it. I hated this course! From the lessons to the teaching styles; everything was too rigid and structured and gave little to no importance to the student."

    "For the administrators of my school, even if only one or two students remained in class, if those students meant a 100 or 50 percent passing rate in the bar exams, then that was good enough for them."

    "I hated being pressured into anything - and that includes studying."

    "But I couldn't quit, I was the one who chose this course and I was going to see it through to the end. Besides, my parents would definitely not let me off so easily for making them pay the extremely high tuition fees just so I could quit on my first year."

    "I always knew that this was how the school handled things, but I still couldn't help feeling angry and more frustrated than ever at my helplessness."

    "Ironically though, I was performing fairly well despite my obviously lackluster study habits. I was perhaps in the top five in my class or something like that, I never bother to check the rankings. I just knew that I consistently scored higher than most of my classmates."

    "Considering my anti-social personality, my relative success was of no help in garnering me any friends among the grade-conscious stereotypes who frequented law school."

    "Not that I really care, mind you. Alone I have always been and alone I will always be."

    "As to why I could do so well in a course where even experienced professors with alpha-numeric academic titles attached to their names wail at their 65 percent averages, I'd attribute that to two things."

    "One: my natural ability to excel in almost anything I put my mind to and the second would be my extreme obsession with console rpgs, which has somehow honed my comprehension and writing skills. Essential tools of the trade in studying law."

    "Which brings me to the high point of my nights at home, playing Tales of Fantasy, Dream Chasers, or even some Legend of Etheria until the early hours of the morning." 

    "Ah yes, this was one of the few worthwhile things that I could still hold onto in this decidedly hopeless world."
 
    
    
    scene bg exam with dissolve

    "That aside, a faint sigh of relief passed my lips as I submitted my exam paper to the person in charge at the front desk. I wasn't all that happy about my accomplishment, but at least I wouldn't have to touch another one of those loathsome law books for about a month." 

    "Finally, I'd survived the first semester.... only seven more to go... ugh!"

    "After submitting my examination booklet in a very robotic manner, I picked up my backpack which I had conveniently placed next to the doorway, and I was on my way."

    "I smirked as I imagined the look of discontent on my classmates' faces when I left the room first as usual." 

    "Fools! I'm not responsible for what sticks to my head as a result of random reading... and just a hint of memorization. In short, I'm just smarter than you. Deal with it!"
    
    scene bg sky1 with dissolve
  
    "It was about 5:00 P.M.; not yet dark, but the sun sets earlier when it's approaching December and I could feel just a hint of the biting cold - though in a tropical country like mine, we can only dream about snow in winter." 

    "Well... I never really cared much about that either."

    "Maybe I was just feeling a little bit more vindictive than usual, but I decided to hang around and watch my classmates suffer in the examination room. I chose a secluded spot by a side-window."
    scene bg schoolday1 with dissolve

    "It gave me a good view of the inside of the exam room while concealing me from anyone else's line of sight. I watched my classmates' anguished expressions with glee." 
    
    "About fifteen minutes passed before anyone else submitted their exam papers. As the time for the final bell drew closer, more of the fools submitted their papers. Individually at first, then in groups of two to five."

    scene black with dissolve

    "But... I soon grew tired as more of the faceless drones began leaving the exam room, caught up in their own little worlds and probably comparing their equally wrong answers."

    "Tough... for them at least. I smirked inwardly."
    stop music
    scene bg schoolnight1 with dissolve
    "I imagine that I must have dozed off for quite some time, because when I opened my eyes, the entire building, including the fourth floor where I was standing, was silent, completely deserted. The halls were enveloped in complete darkness, save for the bright moonlight and the sea of stars from the unusually clear evening sky."

    "I guess that most people would be terrified of being alone on the fourth floor of a very deserted and silent school building at night."

    play sound "heartbeat1.ogg"
    "I could even hear the eerie sound of my own heartbeat."

    "\"Most people\" wasn't me though." 
    "Definitely not..."
    
    "I checked my cellphone, it was 8:30 P.M."
 
    "I figured I could kill another hour or two inside this building. I found the emptiness of the hallways illuminated by the moonlight to be peaceful and in a way, hauntingly beautiful."

    
    "It was during these times,{w} when I felt like I was being smothered by the deafening silence and the darkness that seemed to flood into my eyes that a recurring question enters my mind."
    
    "What am I doing here?" 
    
    "Why am I even alive?"

    
    "And I can't help feeling that there is a great void in my being." 
    
    "A person who is apathetic to anyone and nearly everything - is there even a reason for me to go on living?" 

    "This void wasn't something as idealistic as finding true love, nor as simple as the concept of God..."

    "I remember thinking of something completely blasphemous... but my thoughts were interrupted by a small and almost unintelligible voice from out of nowhere, which suddenly asked me."
    play sound "windy.ogg"
    "\"And have you found your answer?\""
    play music "suspense.ogg" fadein 1.0
    show kotori normal1 with dissolve

    "Of course, I was surprised and I even felt my heart skip a beat. Though no one would ever see it on my face."

    "I was startled to find a short young girl wearing our school uniform and whom I deduced to be in her teens, standing by the window right next to me."
    
    "The bitter smile that she wore was strangely befitting of her mysterious, melancholic beauty."

    "The suddenness of the moment took me by surprise and I couldn't think of an appropriate response."

    "Besides, who was this girl anyway? Sure she was wearing our school's prescribed uniform, but I'd never heard of this university giving night classes for underaged schoolgirls."

    "\"So I guess you haven't found it yet.\" She said this monotonously as if she could read my mind."

    "But somehow, I felt that we were on the same wavelength and my answer came almost spontaneously save for a brief pause to catch my breath."

    "\"I'm still searching...\" was all that escaped my lips."

    "Now I wasn't about to ask exactly how she got here when the halls seemed completely deserted just moments ago."

    "You see, there was something striking about her that had caught my attention - and no, I was not merely entertaining thoughts of the supernatural."

    "It was the look in her eyes. That sad, determined but knowing look. It was strange, on the physical aspect we looked completely different, but on a deeper, nearly spiritual level, It seemed as if I was looking at my mirror image. It's hard to put accurately into words, but this was how I felt."
    
    "\"Well... it's getting late, but since you've come this far...\"" 
    
    "\"would you mind keeping me company for just a little bit longer?\""

    "She talked as if she was living somewhere within the school grounds and since I was studying in a highly accredited university with high-class dormitories, plus, this being the only logical conclusion as to why she'd be loitering around the deserted law school building at night, I graciously accepted it."

    "Anyway, she looked really cute... so I decided to stick around for awhile."

    "\"Sure... I've got nothing better to do anyway.\""

    "And so, we had a long and rather casual chat, two perfectly \"normal\" people engaged in a \"normal\" conversation on the fourth floor of a dark and horrifyingly silent school building in the dark of night with the moon as our only source of light."

    "We ended up sharing our equally demented philosophical views and the conversation reached everywhere from manga and anime to despotism and anarchy." 
    "Our voices echoed throughout the building but I couldn't care less...{w} and I knew just by looking at her that she felt the same way."


    "Finally, a person with some sense, although I suspected that she..."
    "But as soon as I reached this line of thinking..."

    show kotori sad1 with dissolve
    
    "\"Thank you, I really enjoyed your company, but I must be going now.\"" 
    "was what she suddenly said to me."

    "\"Wait!\" I called out to her. \"Can I at least have your name first?\""
    
    show kotori normal1 with dissolve

    "The girl smiled bitterly."

    "\"I'm Kotori, until we meet again...{w} good night.\""

    "And so...{w} she left."
    hide kotori with dissolve
    "I had no idea of who she might have been, or what she was doing here nor did I have any intention of looking further into the matter."

    "Kotori is Kotori... a person{w} who can truly relate to me."
    
    # Chapter 1: Kotori: Infinity 
    play music "bgm.ogg" fadein 1.0

    scene black with dissolve   
    show text "Elsewhere..."
    with dissolve
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    
    scene bg mirror1 with squares
    
    "He has good eyes. Maybe, just maybe he can find the answer."
    "A different answer from the one that I thought I found... a long time ago."
    "I wonder..."
    "If his wings can take him towards that goal."
    
    scene black with dissolve   
    show text "Sometime in May 2008..."
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    scene bg sky1 with dissolve
    play music "daily2.ogg" fadein 1.0
    "It was the middle of the summer, although technically, we never experienced any of the four seasons. Well... we still referred to the two-month vacation in-between school years as summer. Many things had happened since I met Kotori."

    "I've never seen her again since that fateful day... and being the passive observer that I was, I wasn't about to be bothered to look for her."

    "Besides...{w} who was she supposed to be?"
    "My girlfriend?{w}Ha! Yeah right."


    "Yet{w} I've never forgotten that day when I met her on the fourth floor of that building."

    "I turned on the TV. It was a typical sunday morning in the household."
    "My brother already left for work being the \"productive citizen of the state\" that he was and both my parents were out...{w} somewhere."

    "As expected, there was nothing on but boring reruns of old anime shows. Watching the news wasn't exactly high on my list of non-boring things to do, either."

    "Why bother getting yourself depressed over other people's problems right?"

    "The local media only covers the country's worst headaches anyway."

    "For example, thanks to a hastily enacted piece of legislation, the country's economy had taken a downward spiral. So now, our already useless currency was worth even less. Anti-government demonstrations were now a common sight."
    
    "Some cosplayer groups have even decided to include anti-government propaganda into their silly little conventions."

    "On a smaller scale. It's been two years since I began law school and I felt that I was adjusting quite well to my new lifestyle. I had found a good biological timetable that allowed me to study adequately but still left my evenings free."

    "My grades had finally settled down to their natural averages from the unusually high nineties that I used to get during my first year."


    "However, underneath everything, my frustrations had been slowly building up. After all, nothing had changed. I still hated law, perhaps more than ever now. There were other factors as well. Not the least of which was the constant nagging and sarcastic remarks of my older brother."

    "Everytime he made a degrading comment such as, \"Someone as pathetic as you will never make it through law school, but that's okay, you've always been afraid to step forward, haven't you?"

    "\"Someone like you who can't even take your own life seriously, tsk. tsk. why don't you just stop breathing altogether? That would at least be one less mouth to feed in this house.\"" 

    "It felt like someone was squeezing my lungs out from the inside, slowly suffocating me to death."

    "And I didn't even have the energy to say one line as a comeback{w} because inwardly..."

    "I knew he was right."

    "Then there were all the arrogant comments I received or overheard from my law school professors comparing me to my so-called \"superior\" older brother. I had always been passive, indifferent and tolerant, but I get really riled up when someone attacks my persona and thus invades my passivity."

    "After all, I had been suppressing these frustrations for so long... that I felt... everything was about to explode!"

    scene black with dissolve
    
    "Kotori... Ah Kotori, I hadn't seen her ever since that time."

    "For some reason, Kotori and the \"question\" that was perpetually on my mind were the only two things I could focus on when I felt this frustrated." 
    
    "Somehow, through all the psychological torture that I had been experiencing, I seemed to be coming closer, in a way, to finding the answer."

    "Surprisingly, even though I never really made any effort to socialize, the grade-conscious, nameless, faceless drones who were my classmates had accepted me into their circle of friends. They even invited me to join them for a get-together at a local party place which was popular among drop-outs and college students."

    "Not that I thought any differently about them, but I guess I was curious and on a trivial level, even mildly interested, so I decided to tag along."

    "I checked my cellphone's watch." 

    "10:30 A.M. eh? We wouldn't be meeting until 8:00 tonight."

    "At that moment, I was thinking about finding a good way to kill time."
    stop music
    "But...{w} I must have done too much thinking{w} I dozed off... and when I checked my watch, it was already 7:35."

    "Well... that solves my problem on killing some time at least."

    "I got up, washed my face and left to meet my classmates. The party place was only a short walk from my house, so I could still make it in time."  

    "Alright... my stomach was starting to grumble..."

    "Of course it was. I hadn't eaten anything since breakfast...{w} and did I care?{w} nope!"
    play music "party.ogg" fadein 1.0 fadeout 2.0
    scene bg disco1 with squares
    
    "That was my first and last time inside one of those places."
    "Extreme noise, flashing lights randomly blinding my eyes, people jumping around everywhere in pathetic attempts at dance, cigarette smoke rising everywhere. Do people actually come to these types of places to have fun?"

    "As I expected, my trip there was uneventful. Some of the girls from my class tried coaxing me to dance, but no force on earth could compel me to do something I didn't want to."


    "For lack of nothing better to do, I found myself finishing off my third beer bottle. I didn't smoke, but I could hold my alcohol, though I didn't particularly enjoy its taste or effect on my body."

    "I took a quick glance at some of the males from my class, they had settled down on separate corners apparently lustfully groping away at every part of their girlfriends - who were actually enjoying it."

    "Even some of the girls whom I thought were really conservative in school were dancing like total sluts...{w} Everyone wears a mask huh?"

    "I guess this is what they call escapism... or was it catharsis?"
    "Well... this was getting old, I was bored, so I decided to leave. Besides, there was no good reason for me to stay in that awful place any longer."

    "It also felt really awkward not knowing a single person's first name in there, even though most of the patrons were definitely familiar faces from law school."
    
    scene black with dissolve
    stop music
    "I left quietly; fumbling my way to the exit. I didn't bother to say goodbye to my acquaintances... I doubt they'd even notice me through all the chaos in that place, anyway."

    "Well at least my house was only a short walk away... or so I thought. Maybe those three bottles of beer I downed packed more of a punch than I realized, or maybe I just had a lousy sense of direction, but I somehow found myself in a part of town that I didn't even know existed."

    scene bg beach1 with dissolve
    
    "It was a small hill overlooking a beach. The reflection of the lights from the houses and buildings in the distance cast a faint eerie glare on the unstill water's surface. It had a kind of mysterious beauty about it."
    play music "windy.ogg"
    "\"A pretty sight isn't it? I used to come here quite often.\""

    "A mysterious beauty indeed, just like the person who just said that."

    "Even without facing her, I already knew who it was."

    show kotori normal1 with dissolve


    "\"It certainly is, it's been a long time, Kotori.\""

    "Was it just the effect of the beer? By all standards, Kotori was just an average-looking girl. Definitely cute, but someone you'd ordinarily pass by without so much as batting an eye, but there was something about her on the moonlit background that made her look incredibly attractive."

    "\"So... have you finally found your answer?\""

    "I was actually expecting her to ask this one, so I had a ready \"answer.\""

    "\"No... but I've never stopped searching.\"" 
    "\"Tell me, have you found the answer?\""

    "Yeah... go man! Why not? Just redirect the question at her."

    show kotori sad1 with dissolve 
    "Maybe I shouldn't have asked her that, because her expression changed instantly the moment I did. A sullen look had replaced the bittersweet smile on her lovely face."


    "\"Yes... I did find my answer. It was a very long time ago. In many ways, I was just like you. Fed up with almost everything. Angry at my own helplessness. I felt that everything that happens to me and everyone around me...\"" 

    

    "\"were just additional loads to the burden I already carried. But then... as my inner torment kept increasing, I noticed that I was slowly gaining something. It seemed like I was slowly being detached from this corrupted world.\"" 
    "\"That was when I found my answer... but there was one thing left to do, in order to complete the process.\""

    "I guess I can understand... kinda... what she was trying to say... but."

    "Man! is this girl vague or what?"
    
    "But she said what she said. So I decided to probe further, perhaps hoping she might expound a little bit more about she was trying to say."

    "\"And that one thing was?\""

    show kotori normal1 with dissolve

    "\"I'm afraid{w} that is entirely up to you.\""


    "Ok, I knew that was coming... but since Kotori had this indefinable similarity to me, I knew when to stop asking questions. I knew that she didn't want me to continue, so I didn't."



    "Our encounter this time was different, Kotori wasn't here for small talk. Clearly, she was trying to send me a message, but I couldn't quite fully grasp it yet at that time."

    "I knew then..."
    scene black with dissolve
    
    "\"Ugh!\" I was suddenly on my knees. It seems that all that alcohol I took really did have an effect on me or maybe it was hypoglycemia."
    
    scene bg beach1 with dissolve
    show kotori normal1 with dissolve
    "When I looked up, Kotori was already walking away... though I'm sure it wasn't because she was offended."

    "It couldn't be."


    "\"Someday soon... you will find the answer. You should get some rest for now.\"" 
    "\"Until we meet again...{w} good night.\""
    hide kotori with dissolve

    "I didn't really understand everything that she said to me at that time, but I knew one thing for sure... just as she had found her answer... I was getting that much closer to mine."

    "But...{w} now I found myself fascinated with her. I had to find out more about this girl."
    play music "bgm.ogg" fadein 1.0
    scene black with dissolve
    show text "Somewhere..."
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    scene bg mirror1 with dissolve  
    
    "So... he hasn't found it yet. He still needs time to \"free\" himself. I can't help wondering, if we could have been together, could we have reached that \"goal?\""
    
    
    #Final Chapter: Protagonist: November 2009
    play music "suspense.ogg" fadein 1.0
    scene black with dissolve
    show text "From his perspective: November of 2009"
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    scene bg schoolday1 with squares
    "It was the start of the second semester of my third year in law school. I'd lost my drive to study for quite some time, thus my grades had been rapidly declining."

    "Now, I was just waiting for the delayed results of my final grades for the first semester. I was on the verge of failing at least two of my subjects and getting automatically expelled."


    "Naturally, my brother's demeaning lectures and sarcastic put-downs had been continually increasing. My parents had lost all hope in my future as a lawyer. I wasn't all that concerned though. In fact, these things seemed so meaningless to me."


    "Even my nightly rpg marathon had lost its flavor after awhile. Thus, my three full memory cards were left with many unfinished saves which I had no plans of touching for a long time."

    "On the outside, it looked as though my life had taken a downhill slide for the worst. Inwardly though, I was at peace." 

    "On this day, I had finally found the answer that has eluded me for so long... actually, I hadn't definitely found it yet, but rather, I was on the right track to reach for it."

    "I spent most of my free time rummaging through my school library's archives. There was something that I'd always suspected about the mysterious girl whom I know only as Kotori."

    "\"Until we meet again\" was what she said to me the last time... but I've never seen her again since that day I decided to hang out with my classmates."

    "I was looking through the yearbooks when I saw an article in a very old newspaper that had been left lying around. It immediately caught my eye because the girl on the picture looked incredibly similar to Kotori."

    "But... this was a year 2000 newspaper. This picture was taken almost a decade ago."

    "As I read the article, I finally understood what was happening."

    "A young girl, a straight A student."
    "A rich family, a promising future career, everything was all planned out for her."

    "And in a school like this one..."
    "There will always be people who just can't accept this."

    "I could just imagine it, those scrutinizing eyes staring down at you. The whispers, the malicious laughter."

    scene bg inthought with dissolve
    "But...{w} her answer...{w} was something"

    
    "That I just couldn't accept."

    "If only we could have been together..."
    scene black with dissolve
    stop music
    show text "A few days later..."
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    stop music
    "I made my way up the familiar stairs of the school building. It was sunday, and nobody would be here... even this early in the morning."

    "This was the only way that I could get her attention."
    play music "steps.ogg"
    "2nd Floor..."
    "3rd Floor..."
    "4th Floor..."
    "5th Floor..."
    "6th Floor..."
    
    "Two to go... My target was the open rooftop."

    "7th Floor... the one mentioned in the newspaper article."
    stop music
    play sound "windy.ogg"
    scene bg sky1 with dissolve
    
    "Finally, I made it." 

    
    
    "The panoramic view of the town from this angle was breathtaking. I inhaled deeply and closed my eyes, enjoying the relaxing coolness of the light breezes that blew past rhythmically."

    "Carefully, I placed one foot forward, out on the ledge of the rooftop."

    "\"So you've finally found it?\""

   
    "I knew she would come here."
   
    show kotori normal1 with squares

    "I paused and turned to face her, there was something different about Kotori this time."

    "\"No... I can't say that I've found it yet.\""
    play music "ending.ogg" fadein 3.0
    "\"Then...\""

    "\"But I've caught a glimpse of it... and I'm not sure if it's the same answer that you've found, but I will continue to reach for it.\""

    "\"I see, that's good.\"" 
    
    "\"Well then...\""
    

    show kotori smile with dissolve
    "\"until we meet again...{w}...\""
    
    "\"goodbye\""

    "There was a certain finality about the way she said that." 
    "I knew at that moment that it was the last time that I would ever see the girl named Kotori."

    "Well... I'm happy that we could have met."

    "Finding just one single person who could understand me."
    
    "Even if it was only for a short time. This... this was the greatest happiness for me."

    "Perhaps if we had lived at a different time, at a different place,"
    
    scene bg ending1 with dissolve

    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()
    scene black with fade

    show text "if we could have used our broken wings together..." 
    with dissolve
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()
    show text "we might have been able..." 
    with dissolve
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()


    show text "to fly towards that goal." 
    with dissolve
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()

    show text "I will keep on searching..."
    with dissolve    
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()

    show text "Someday, definitely, we will meet again, Kotori."
    with dissolve
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()

    show text "But..."
    with dissolve 
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()

    scene bg ending2 with dissolve
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()
    
    $ renpy.pause(2.5)

    scene black with fade 
    show text "To step back..."
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()

    scene bg ending3 with dissolve

    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()

    scene black with dissolve
    show text "And start over..."
    with dissolve 
    $ ui.pausebehavior(3, result="skip")
    $ ui.interact()
    hide text with dissolve
    scene bg ending3 with dissolve

    show text "Is also an answer."
    with dissolve
    $ ui.pausebehavior(3.5, result="skip")
    $ ui.interact()
    scene black with dissolve
    show text "The End"
    with dissolve 
    $ ui.pausebehavior(5, result="skip")
    $ ui.interact()
    hide text with dissolve
    
    $ ui.pausebehavior(15, result="skip")
    $ ui.interact()
    
    return
    

label afterword:
    play music "ending.ogg"

    scene bg gamemenu with dissolve
menu menu_1:
    "About The Remake":
        jump remake
    "About The Story":
        jump story
    "About The Characters":
        jump char
    "About The Art and Presentation Styles":
        jump art
    "Acknowledgements":
        jump ack
    "Return To Title":
        stop music
        jump _main_menu


label remake:

    "At the time that I started writing \"Wings\" back in 2005, I was myself a freshman at Law School. This short story was not only my first entry into the topsy-turvy world of English Visual Novels, but also my first true attempt at an original fiction story."
    
    "I will be graduating just a few months after this remake is released. My actual experiences in Law School were actually far more pleasant than that of the protagonist in this story. That aside, yes, he is a somewhat younger, and more impulsive extension of myself."

    "Many people seemed to think that suicide was the only possible outcome of the final scenario in the original version, but was it really? After all, why would Kotori be smiling at someone who is about to commit suicide?"
    
    "This is the reason why this version might seem much less abstract than the original version - if you have read it before. I wanted to make things as clear as possible - HE DID NOT COMMIT SUICIDE."

    "The biggest changes in this version are of course, the graphics. Much less noticeably, perhaps. All the music has been revamped along with some cosmetic changes to the script."
    
    "This remake is simply called \"Wings\" because this is the version that I want people to remember this piece by."
    
    "In the end, the biggest driving force behind this remake is because Wings is special to me and I wanted it to look as good as I could make it using my limited resources and skills - just as I did all those years ago. The difference this time is that I also want it to be something that I can truly be proud to show off to anyone for years to come."
    
    "To end my disogranized ramblings on the subject matter, in my opinion, I have succeeded in this selfish endeavor."

    jump afterword



label story:
    "You may have noticed that the story touches on a variety of topics such as religion, the educational system, the structure of society and the general discrimination faced by individualists. However, I chose not to dwell too deeply on these topics, thus, many of the so-called \"conflicts\" remained unresolved. This was intentional on my part."

    "I didn't set any boundaries for myself when I wrote the story and instead allowed my thoughts to flow freely and on a certain level also allowed my characters to think for themselves."

    "The main purpose of this story was to capture a certain emotion, specifically the emotion that I felt while I was in the process of writing it. The coherence of the plot therefore, became only subordinate to communicating this \"emotion\" to you the reader."
 
    "Whether my attempt was a success or not is entirely up to you. If you took the time to read through the entire story (which you must have if you're reading this.) and you found it even just a little bit meaningful, that's good enough for me."

    jump afterword

label char:
    "There are a number of questions left by the characters. I will try to explain them in this section, though I believe that the interpretations should be left to the reader since I'm sure  this story, like any other story would produce a slightly different experience for everyone based on their age or personal background."

    "1. What were the characters searching for?"

    "I guess to say \"the answer\" would only be stating the obvious. The characters were actually searching for something to fill that indefinable void that everyone must experience in varying degrees at one time or another in their lifetimes."

    "For example, when you find yourself under the influence of extreme feelings of hatred or sorrow, you might feel that there's something missing. This is usually remedied by the comforting arms of a loved one, but as has already been said, it wasn't that simple in this story."

    "2. What answer did they find?"

    "I believe that this question is best left to the reader to decide. It might even spoil whatever effect the story had on you if I were to offer my own explanation. Suffice it to say that the answers that both characters found were different in form but substantially the same."

    "3. Were the characters in love with each other?"

    "No, if you're thinking of love in its commonly understood usage. However, there was a certain bond of attraction between them, which is the reason why Kotori approaches the protagonist in the first place. The existence of one complements the other."

    "This is the main concept of \"Wings.\" Basically, this means that the wings we possess in the form of talents, skills and innate inclinations towards one thing or another are broken and we can only fly towards our true purpose in life with the aid of the person who complements our wings."

    "This interdependence best describes the relationship of the two characters and if you can consider this to be love, then yes, they were definitely in love with each other."

    jump afterword



label art:
    "Why a visual novel you ask? Well the answer is fairly simple. I happened to read through a few translated doujin visual novels from al|together 2005. Specifically \"Naricissu\" and \"Until We Meet Again.\" Needless to say, I was equally impressed by both stories and presentation styles, especially since there was absolutely no interaction in any of these titles."

    "Unsurprisingly, much of the look and feel of \"Wings\" is heavily influenced by both of these titles."

    "The visuals also play a vital role, adding depth to the characters since I used very minimal descriptions. For example, I described Kotori as short and plainly dressed, but you'd have no idea how she actually looks like without the graphics."

    "With this remake, I believe that I finally have both characters looking as close as possible to the way I've always pictured them in my mind."

    jump afterword

label ack:
    "Thanks, first of all, to PyTom for his Ren'Py engine, without which, this visual novel wouldn't have been possible."

    "Thanks to mikey, PyTom and all the members of the newly established Teacup Forums. Special thanks to Kikered and Moonlightbomber for beta-testing this remake as well as to Hime and my old classmate, Joseph Prince for waiting a long time for this release. :D"

    "Thanks to the creators and translators of all the visual novels featured in al|together 2005 (http://altogether.insani.org/2005) and allowing people like myself who can't read Japanese to understand these stories even if you only do it as a hobby."

    "And to everyone who took the time to read my work. Thank you and I hope you experienced something whatever that may be while reading this story."

    jump afterword


